<template>
  <div class="q-pa-md" >
    <div class="row justify-center" >
      <q-btn class="full-width" color="red" icon="arrow_left" label="Kembali Login Biasa" @click="$router.push('login')" />
    </div>
  </div>
</template>

<script>
import googleOneTap from 'google-one-tap';
export default {
  name: "GooglePage",

  mounted() {
    this.googleTap()
  },

  methods: {
    googleTap() {
      console.log("load google")
      const options = {
        client_id: '367851418111-v7gh094sv6lj52aclo65riuirpckb4i8.apps.googleusercontent.com', // required
        auto_select: false, // optional
        cancel_on_tap_outside: false, // optional
        context: 'signin', // optional
      };
      googleOneTap(options, (response) => {
        this.successGoogle(response.credential)
      });
    },
    successGoogle(token) {
      let id_token = token
      this.$q.loading.show()
      this.$axios.post('/api/login-google', {"id_token": id_token})
        .then(sukses => {
          let token = sukses.data.success.token
          localStorage.setItem("token", token)
          this.$router.push("/")
          this.$q.loading.hide()
        })
    },
    logoutSession: function () {
      localStorage.removeItem("token")
    }
  }
}
</script>

<style scoped>

</style>


<style scoped>

</style>

}
</script>
